## cairomm 1.14.4

=== meson_options.txt ===
option('maintainer-mode', type: 'combo', choices: ['false', 'if-git-build', 'true'],
  value: 'if-git-build', description: 'Let mm-common-get copy some files to untracked/')
option('warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'],
  value: 'min', description: 'Compiler warning level')
option('dist-warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'],
  value: 'fatal', description: 'Compiler warning level when a tarball is created')
option('build-deprecated-api', type: 'boolean', value: true,
  description: 'Build deprecated API and include it in the library')
option('build-exceptions-api', type: 'boolean', value: true,
  description: 'Build exceptions API and include it in the library')
option('build-documentation', type: 'combo', choices: ['false', 'if-maintainer-mode', 'true'],
  value: 'if-maintainer-mode', description: 'Build and install the documentation')
option('build-examples', type: 'boolean', value: true,
  description: 'Build example programs')
option('build-tests', type: 'combo', choices: ['false', 'if-dependencies-found', 'true'],
  value: 'if-dependencies-found', description: 'Build test programs (requires Boost Test and Fontconfig or Windows)')
option('boost-shared', type: 'boolean',
  value: false, description: 'Use shared version of boost')
option('msvc14x-parallel-installable', type: 'boolean', value: true,
  description: 'Use separate DLL and LIB filenames for Visual Studio 2015, 2017 and 2019')

## cairomm 1.8.4

=== debian/changelog ===
cairomm (1.8.4-3) unstable; urgency=low

  * debian/control: Add dependency for libcairomm-1.0-dev on
    libsigc++-2.0-dev (Closes: #580431)

 -- Dave Beckett <dajobe@debian.org>  Wed, 05 May 2010 20:44:15 -0700

cairomm (1.8.4-2) unstable; urgency=low

  * Add cairommconfig.h to package (Closes: #579771, #579772)

 -- Dave Beckett <dajobe@debian.org>  Fri, 30 Apr 2010 19:39:54 -0700

cairomm (1.8.4-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.8.4
  * debian/source/format: Added with 3.0 (quilt) format

 -- Dave Beckett <dajobe@debian.org>  Tue, 20 Apr 2010 13:40:08 -0700

cairomm (1.8.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.8.1
  * Updated examples
  * Build-Depend on graphviz so that docs get graphs when rebuilt

 -- Dave Beckett <dajobe@debian.org>  Thu, 02 Apr 2009 21:55:00 -0700

cairomm (1.6.4-1) unstable; urgency=low

  * New upstream release
  * debian/libcairomm-1.0-doc.doc-base: Updated section (lintian)

 -- Dave Beckett <dajobe@debian.org>  Sat, 13 Sep 2008 12:55:08 -0700

cairomm (1.6.0-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 20 Apr 2008 11:37:46 -0700

cairomm (1.4.6-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 23 Dec 2007 13:53:41 -0800

cairomm (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sat, 14 Jul 2007 16:33:28 -0700

cairomm (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Thu, 12 Jul 2007 23:02:08 -0700

cairomm (1.2.4-2) unstable; urgency=low

  * Rebuild for unstable (Closes: #421878)

 -- Dave Beckett <dajobe@debian.org>  Wed, 02 May 2007 07:15:22 -0700

cairomm (1.2.4-1) experimental; urgency=low

  * New upstream release
  * Removed patch 01-surface-dpi.patch merged upstream
  * First stable API/ABI (in 1.2.0)
    - soname changed to 1 so package is now libcairomm-1.0-1
    - set shlibs version to 1.2.4

 -- Dave Beckett <dajobe@debian.org>  Tue, 27 Mar 2007 07:16:13 -0700

cairomm (0.6.0-4) unstable; urgency=low

  * Recompile and require cairo 1.2.0 
  * Added 01-surface-dpi.patch to update to use 1.2.0 (Closes: #379238)
    cairo_surface_set_fallback_ instead of cairo_N_surface_set_dpi calls.
  * Cairo 1.2.0 now enables PDF, PS and SVG surfaces (Closes: #377347)

 -- Dave Beckett <dajobe@debian.org>  Sun, 23 Jul 2006 16:12:32 -0700

cairomm (0.6.0-3) unstable; urgency=low

  * Bump Standards-Version to 3.7.2; no changes required.
  * Drop 030_examples_readme.patch, merged upstream.

 -- Danilo Piazzalunga <danilopiazza@gmail.com>  Sat, 13 May 2006 14:42:00 +0200

cairomm (0.6.0-2) unstable; urgency=low

  * Fix bad use of Maintainer field.  Added Uploaders:

 -- Dave Beckett <dajobe@debian.org>  Thu, 13 Apr 2006 11:33:04 -0700

cairomm (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Remove patches merged upstream:
    - 020_no_clean_docs_reference_html.patch
    - 021_regenerate_automake_files.patch
    - 040_update_project_maintainer_info.patch
  * Update the clean target for doxygen output

 -- Dave Beckett <dajobe@debian.org>  Tue,  4 Apr 2006 20:39:02 -0700

cairomm (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #352729)
  * 020_no_clean_docs_reference_html.patch:
    - docs/reference/Makefile.am: Clean HTML reference documentation only
      in the maintainer-clean target, as GNU projects do for info documents.
      This is more convenient for released packages.
  * 030_examples_readme.patch:
    - examples/README: Write some basic information about each example.
  * 040_update_project_maintainer_info.patch:
    - Update maintainers and authors contact information.
    - Remove lingering references to libxml++.
  * Thanks to Danilo Piazzalunga <danilopiazza@gmail.com> for all the
    packaging above.
  
 -- Dave Beckett <dajobe@debian.org>  Sun,  2 Apr 2006 13:57:17 -0700

=== debian/control ===
Source: cairomm
Section: libs
Priority: optional
Maintainer: Dave Beckett <dajobe@debian.org>
Uploaders: Danilo Piazzalunga <danilopiazza@gmail.com>
Build-Depends: debhelper (>= 5), cdbs, libcairo2-dev (>= 1.8.0), doxygen, graphviz, libsigc++-2.0-dev
Standards-Version: 3.8.4
Homepage: http://cairographics.org/cairomm/

Package: libcairomm-1.0-dev
Section: libdevel
Architecture: any
Depends: libcairomm-1.0-1 (= ${binary:Version}), libcairo2-dev (>= 1.8.0), ${misc:Depends}, libsigc++-2.0-dev
Suggests: libcairomm-1.0-doc
Description: C++ wrappers for Cairo (development files)
 cairomm provides C++ bindings for the Cairo graphics library,
 a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends.
 .
 This package contains the development libraries and header
 files needed by C++ programs that want to compile with Cairo.
 files and examples.

Package: libcairomm-1.0-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libcairomm-1.0-0
Description: C++ wrappers for Cairo (shared libraries)
 cairomm provides C++ bindings for the Cairo graphics library,
 a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends.
 .
 This package contains the shared libraries.

Package: libcairomm-1.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: www-browser
Description: C++ wrappers for Cairo (documentation)
 cairomm provides C++ bindings for the Cairo graphics library,
 a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends.
 .
 This package contains the HTML reference documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

# We want .a
DEB_CONFIGURE_EXTRA_FLAGS = --enable-static

# Make sure it depends on >= current-version
#DEB_DH_MAKESHLIBS_ARGS_libcairomm-1.0-0 = -V

clean::
	rm -rf \
	docs/reference/cairomm_doxygen_tags \
	docs/reference/doxygen* \
	docs/reference/undocumented.txt

## cairomm 1.9.8

=== debian/changelog ===
cairomm (1.9.8-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #701247)
  * debian/control:
   - Bump libcairo2-dev build dep to >= 1.10.0.
   - Drop un-needed build deps on doxygen and graphviz.
  * debian/rules:
   - include /usr/share/cdbs/1/rules/clean-la.mk
   - Don't include simple-patchsys.mk, package is 3.0 (quilt).
   - Don't compress .tag files to make Doxygen happy.
  * debian/libcairomm-1.0-doc.install: Install devhelp. (LP: #515638)
  * debian/libcairomm-1.0-doc.links: Adjust the symlink for the
    new upstream documentation directory.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 10 Jan 2011 12:27:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: cairomm
 Section: libs
 Priority: optional
-Maintainer: Dave Beckett <dajobe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
 Uploaders: Danilo Piazzalunga <danilopiazza@gmail.com>
-Build-Depends: debhelper (>= 5), cdbs, libcairo2-dev (>= 1.8.0), doxygen, graphviz, libsigc++-2.0-dev
+Build-Depends: debhelper (>= 5), cdbs, libcairo2-dev (>= 1.8.0), libsigc++-2.0-dev
 Standards-Version: 3.8.4
 Homepage: http://cairographics.org/cairomm/
 
 Package: libcairomm-1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libcairomm-1.0-1 (= ${binary:Version}), libcairo2-dev (>= 1.8.0), ${misc:Depends}, libsigc++-2.0-dev
+Depends: libcairomm-1.0-1 (= ${binary:Version}), libcairo2-dev (>= 1.10.0), ${misc:Depends}, libsigc++-2.0-dev
 Suggests: libcairomm-1.0-doc
 Description: C++ wrappers for Cairo (development files)
  cairomm provides C++ bindings for the Cairo graphics library,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/clean-la.mk

# We want .a
DEB_CONFIGURE_EXTRA_FLAGS = --enable-static

# Make sure it depends on >= current-version
#DEB_DH_MAKESHLIBS_ARGS_libcairomm-1.0-0 = -V

DEB_COMPRESS_EXCLUDE := .tag

clean::
	rm -rf \
	docs/reference/cairomm_doxygen_tags \
	docs/reference/doxygen* \
	docs/reference/undocumented.txt

## cairomm 1.10.0

=== debian/changelog ===
cairomm (1.10.0-1ubuntu3) trusty; urgency=medium

  * Use dh-autoreconf for newer libtool.
  * Add build-dep on mm-common for m4 macros needed at build time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 15 Dec 2013 13:18:05 -0800

cairomm (1.10.0-1ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 16:48:47 +0100

cairomm (1.10.0-1ubuntu1) precise; urgency=low

  [ Evan Broder ]
  * Convert to multiarch (LP: #902899):
    - Pass --libdir with multiarch path to configure
    - Adjust .install files to refer to /usr/lib subdirs
    - Add multiarch Pre-Depends
    - Bump debhelper and cdbs build-deps for ${misc:Pre-Depends} and
      $(DEB_HOST_MULTIARCH) support, respectively

  [ Daniel Holbach ]
  * debian/compat: updated to 9.

 -- Evan Broder <evan@ebroder.net>  Sat, 10 Dec 2011 18:18:25 -0800

cairomm (1.10.0-1) unstable; urgency=low

  * New upstream release (Closes: #625523)
  * debian/rules:
    - Remove simplepatchsys.mk
    - Use clean-la.mk from gnome-pkg-tools
  * debian/control:
    - standards version 3.9.2
    - Add gnome-pkg-tools
  * debian/source/format: 3.0 (quilt)
  * Applied many build patches from Daniel Elster in bug 579261 - Thanks!
    (Closes: #579261)
  * debian/control:
    - Drop build dependencies on doxygen and graphviz, since upstream now
      ships the generated documentation
  * debian/libcairomm-1.0-doc.install:
    - Add the Devhelp book to the package
  * debian/libcairomm-1.0-doc.links:
    - Adjust the symlink for the upstream documentation directory, which has
      has changed to /usr/share/doc/cairomm-1.0
  * debian/rules:
    - Remove the clean:: target, as it is no longer needed
    - Add DEB_COMPRESS_EXCLUDE for .tag files since Doxygen cannot handle
      compressed tag files
    - Include clean-la.mk to purge dependency information from .la files

 -- Dave Beckett <dajobe@debian.org>  Mon, 23 May 2011 18:42:30 -0700

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
 Uploaders: Danilo Piazzalunga <danilopiazza@gmail.com>
-Build-Depends: debhelper (>= 5), cdbs, libcairo2-dev (>= 1.8.0), libsigc++-2.0-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8.1.3~), cdbs (>= 0.4.93~), libcairo2-dev (>= 1.10.0), libsigc++-2.0-dev, gnome-pkg-tools, dh-autoreconf, mm-common
+Standards-Version: 3.9.2
 Homepage: http://cairographics.org/cairomm/
 
 Package: libcairomm-1.0-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libcairomm-1.0-1 (= ${binary:Version}), libcairo2-dev (>= 1.10.0), ${misc:Depends}, libsigc++-2.0-dev
 Suggests: libcairomm-1.0-doc
+Multi-Arch: same
 Description: C++ wrappers for Cairo (development files)
  cairomm provides C++ bindings for the Cairo graphics library,
  a multi-platform library providing anti-aliased vector-based
@@ -25,8 +27,10 @@
 Package: libcairomm-1.0-1
 Section: libs
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libcairomm-1.0-0
+Multi-Arch: same
 Description: C++ wrappers for Cairo (shared libraries)
  cairomm provides C++ bindings for the Cairo graphics library,
  a multi-platform library providing anti-aliased vector-based

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk

# We want .a
DEB_CONFIGURE_EXTRA_FLAGS = --enable-static --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

# Doxygen cannot handle compressed tag files
DEB_COMPRESS_EXCLUDE := .tag

# Make sure it depends on >= current-version
#DEB_DH_MAKESHLIBS_ARGS_libcairomm-1.0-0 = -V

## cairomm 1.11.2

=== debian/changelog ===
cairomm (1.11.2-0ubuntu3~gcc5) wily; urgency=medium

  * Renamed library for gcc5 transition

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Jul 2015 12:17:05 +0200

cairomm (1.11.2-0ubuntu2) wily; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jul 2015 11:44:30 +0200

cairomm (1.11.2-0ubuntu1) vivid; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 18 Nov 2014 16:29:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
 Uploaders: Danilo Piazzalunga <danilopiazza@gmail.com>
-Build-Depends: debhelper (>= 8.1.3~), cdbs (>= 0.4.93~), libcairo2-dev (>= 1.10.0), libsigc++-2.0-dev, gnome-pkg-tools, dh-autoreconf, mm-common
+Build-Depends: debhelper (>= 8.1.3~), cdbs (>= 0.4.93~), libcairo2-dev (>= 1.10.0), libsigc++-2.0-dev (>= 2.4.1-1ubuntu1), gnome-pkg-tools, dh-autoreconf, mm-common
 Standards-Version: 3.9.2
 Homepage: http://cairographics.org/cairomm/
 
@@ -12,7 +12,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libcairomm-1.0-1 (= ${binary:Version}), libcairo2-dev (>= 1.10.0), ${misc:Depends}, libsigc++-2.0-dev
+Depends: libcairomm-1.0-1v5 (= ${binary:Version}), libcairo2-dev (>= 1.10.0), ${misc:Depends}, libsigc++-2.0-dev
 Suggests: libcairomm-1.0-doc
 Multi-Arch: same
 Description: C++ wrappers for Cairo (development files)
@@ -24,13 +24,14 @@
  files needed by C++ programs that want to compile with Cairo.
  files and examples.
 
-Package: libcairomm-1.0-1
+Package: libcairomm-1.0-1v5
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libcairomm-1.0-0
+Replaces: libcairomm-1.0-0, libcairomm-1.0-1
 Multi-Arch: same
+Conflicts: libcairomm-1.0-1
 Description: C++ wrappers for Cairo (shared libraries)
  cairomm provides C++ bindings for the Cairo graphics library,
  a multi-platform library providing anti-aliased vector-based

## cairomm 1.12.0

=== debian/changelog ===
cairomm (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Wrap dependencies.
  * Drop obsolete Replaces from pre-wheezy.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer, add Dave
    Beckett and myself as Uploaders.
  * Move the package to collab-maint on Alioth, use Git/git-buildpackage for
    maintaining the package.
  * Bump debhelper compatibility level to 9.
  * Bump Build-Depends on libsigc++-2.0-dev (>= 2.5.1) as per configure.ac.
  * Bump shlibs version to 1.12.0.
  * Install example files via debian/libcairomm-1.0-dev.examples.
  * Strip debian/tmp/ from .install files.
  * Drop libtool .la files.
  * Convert to multiarch.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 14:31:59 +0200

cairomm (1.10.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library for g++-5 transition. Starts transition: #790990

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Aug 2015 08:44:10 +0100

cairomm (1.10.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update config.* by autoreconf (+ mm-common) to fix the FTBFS on 
    ppc64el. Closes: #751113

 -- Andreas Barth <aba@ayous.org>  Thu, 28 Aug 2014 07:25:14 +0000

=== debian/control ===
Source: cairomm
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Dave Beckett <dajobe@debian.org>,
           Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.93),
               libcairo2-dev (>= 1.10.0),
               libsigc++-2.0-dev (>= 2.5.1),
               gnome-pkg-tools,
               dh-autoreconf,
               mm-common
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/cairomm.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cairomm.git
Homepage: http://cairographics.org/cairomm/

Package: libcairomm-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libcairomm-1.0-1v5 (= ${binary:Version}),
         libcairo2-dev (>= 1.10.0),
         libsigc++-2.0-dev (>= 2.5.1)
Suggests: libcairomm-1.0-doc
Description: C++ wrappers for Cairo (development files)
 cairomm provides C++ bindings for the Cairo graphics library,
 a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends.
 .
 This package contains the development libraries and header
 files needed by C++ programs that want to compile with Cairo.
 files and examples.

Package: libcairomm-1.0-1v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: libcairomm-1.0-1
Conflicts: libcairomm-1.0-1
Description: C++ wrappers for Cairo (shared libraries)
 cairomm provides C++ bindings for the Cairo graphics library,
 a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends.
 .
 This package contains the shared libraries.

Package: libcairomm-1.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: www-browser
Description: C++ wrappers for Cairo (documentation)
 cairomm provides C++ bindings for the Cairo graphics library,
 a multi-platform library providing anti-aliased vector-based
 rendering for multiple target backends.
 .
 This package contains the HTML reference documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

# We want .a
DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
                             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

# Doxygen cannot handle compressed tag files
DEB_COMPRESS_EXCLUDE := .tag

# Make sure it depends on >= current-version
#DEB_DH_MAKESHLIBS_ARGS_libcairomm-1.0-0 = -V

=== debian/watch ===
version=3
http://www.cairographics.org/releases/cairomm-(.*)\.tar\.gz debian uupdate

## cairomm 1.12.2

=== debian/changelog ===
cairomm (1.12.2-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Jan 2018 18:00:01 -0500

cairomm (1.12.2-2) unstable; urgency=medium

  * Update Vcs fields and gbp.conf for Debian GNOME team conventions
  * Switch from cdbs to dh
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Dec 2017 13:48:28 -0500

cairomm (1.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.12.2

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Jul 2017 07:11:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: cairomm
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Dave Beckett <dajobe@debian.org>,
-           Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               cdbs (>= 0.4.93),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
+               gnome-pkg-tools,
                libcairo2-dev (>= 1.10.0),
                libsigc++-2.0-dev (>= 2.5.1),
-               gnome-pkg-tools,
-               dh-autoreconf,
                mm-common
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/cairomm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cairomm.git
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/cairomm
+Vcs-Git: https://salsa.debian.org/gnome-team/cairomm.git
 Homepage: http://cairographics.org/cairomm/
 
 Package: libcairomm-1.0-dev
@@ -35,7 +36,6 @@
  files and examples.
 
 Package: libcairomm-1.0-1v5
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libcairomm-[0-9\.]+-[0-9][0-9a-z]*)[[:space:]]*$$/\1/p' debian/control)
SHVER := 1.12.2

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V"$(SHARED_PKG) (>= $(SHVER))" -- -c4

# Doxygen cannot handle compressed tag files
override_dh_compress:
	dh_compress -X .tag

=== debian/watch ===
version=4
https://www.cairographics.org/releases/cairomm-(.*)\.tar\.gz

## cairomm 1.14.4

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,28 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: cairomm
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome,
+               doxygen,
+               graphviz,
+               libboost-test-dev <!nocheck>,
                libcairo2-dev (>= 1.10.0),
+               libfontconfig-dev <!nocheck>,
                libsigc++-2.0-dev (>= 2.5.1),
-               mm-common
-Standards-Version: 4.1.2
+               meson (>= 0.55.0),
+               mm-common,
+               xsltproc
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/cairomm
 Vcs-Git: https://salsa.debian.org/gnome-team/cairomm.git
-Homepage: http://cairographics.org/cairomm/
+Homepage: https://cairographics.org/cairomm/
 
 Package: libcairomm-1.0-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ --buildsystem=meson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dboost-shared=true \
		-Dbuild-documentation=true \
		-Dbuild-tests=true \
		-Dmaintainer-mode=true \
		-Dwarnings=max

# Doxygen cannot handle compressed tag files
override_dh_compress:
	dh_compress -X .tag -X.cc

## cairomm 1.14.5

=== meson_options.txt ===
--- 
+++ 
@@ -15,6 +15,6 @@
 option('build-tests', type: 'combo', choices: ['false', 'if-dependencies-found', 'true'],
   value: 'if-dependencies-found', description: 'Build test programs (requires Boost Test and Fontconfig or Windows)')
 option('boost-shared', type: 'boolean',
-  value: false, description: 'Use shared version of boost')
+  value: true, description: 'Use shared version of boost')
 option('msvc14x-parallel-installable', type: 'boolean', value: true,
   description: 'Use separate DLL and LIB filenames for Visual Studio 2015, 2017 and 2019')

=== debian/changelog ===
cairomm (1.14.5-2build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 15:08:31 +0000

cairomm (1.14.5-2) unstable; urgency=medium

  * Fix nocheck build (Closes: #1033210)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Jun 2024 16:45:06 -0400

cairomm (1.14.5-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome
  * Bump Standards-Version to 4.6.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 08:28:15 -0500

cairomm (1.14.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Add debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Dec 2022 14:47:06 -0500

cairomm (1.14.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.55.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 15:49:39 -0400

cairomm (1.14.3-1) unstable; urgency=medium

  * New upstream release (Closes: #994884)
  * Build with meson (Closes: #885063)
  * debian/control.in: Build-Depend on doxygen, graphviz, & xsltproc
  * Build-Depend on debhelper-compat 13
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Build-Depend on libboost-test-dev & libfontconfig-dev for build tests
  * debian/control.in: Set Rules-Requires-Root: no
  * Stop managing shlibs version by hand
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/rules: Don't compress the example cc files
  * debian/rules: Enable maintainer mode to build docs from source
  * debian/copyright: Switch to copyright format 1.0
  * debian/watch: Only watch for 1.14.x releases:
    cairomm1.16 is a different ABI series intended for gtkmm 4 and will
    be packaged separately
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Sep 2022 14:52:49 -0400

cairomm (1.12.2-4) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 09:31:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: cairomm
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
                doxygen,
                graphviz,
                libboost-test-dev <!nocheck>,
@@ -19,7 +14,7 @@
                mm-common,
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/cairomm
 Vcs-Git: https://salsa.debian.org/gnome-team/cairomm.git
 Homepage: https://cairographics.org/cairomm/

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,13 @@
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+        TESTS += -Dbuild-tests=true
+else
+        TESTS += -Dbuild-tests=false
+endif
+
 
 %:
 	dh $@ --buildsystem=meson --without autoreconf
@@ -11,7 +18,7 @@
 	dh_auto_configure -- \
 		-Dboost-shared=true \
 		-Dbuild-documentation=true \
-		-Dbuild-tests=true \
+		${TESTS} \
 		-Dmaintainer-mode=true \
 		-Dwarnings=max
